2017 © Pedro Peláez
 

library utils

image

nette/utils

  • Sunday, July 29, 2018
  • by david@grudl.com
  • Repository
  • 51 Watchers
  • 277 Stars
  • 3,616,137 Installations
  • PHP
  • 825 Dependents
  • 3 Suggesters
  • 85 Forks
  • 9 Open issues
  • 42 Versions
  • 13 % Grown

The README.md

Nette Utility Classes

Downloads this Month Tests Coverage Status Latest Stable Version License, (*1)

Introduction

In package nette/utils you will find a set of useful classes for everyday use:, (*2)

Installation

The recommended way to install is via Composer:, (*3)

composer require nette/utils
  • Nette Utils 3.2 is compatible with PHP 7.2 to 8.0
  • Nette Utils 3.1 is compatible with PHP 7.1 to 8.0
  • Nette Utils 3.0 is compatible with PHP 7.1 to 8.0
  • Nette Utils 2.5 is compatible with PHP 5.6 to 8.0

Support Me

Do you like Nette Utils? Are you looking forward to the new features?, (*4)

Buy me a coffee, (*5)

Thank you!, (*6)

The Versions

29/07 2018

v2.5.x-dev

2.5.9999999.9999999-dev https://nette.org

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

  • php >=5.6.0

 

The Development Requires

json validation core array password utility utf-8 string nette datetime images paginator unicode slugify

29/07 2018

dev-master

9999999-dev https://nette.org

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

  • php >=7.1

 

The Development Requires

json validation core array password utility utf-8 string nette datetime images paginator unicode slugify

02/05 2018

v2.5.2

2.5.2.0 https://nette.org

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

  • php >=5.6.0

 

The Development Requires

json validation core array password utility utf-8 string nette datetime images paginator unicode slugify

19/02 2018

v2.5.1

2.5.1.0 https://nette.org

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

  • php >=5.6.0

 

The Development Requires

json validation core array password utility utf-8 string nette datetime images paginator unicode slugify

17/02 2018

v2.5.0

2.5.0.0 https://nette.org

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

  • php >=5.6.0

 

The Development Requires

json validation core array password utility utf-8 string nette datetime images paginator unicode slugify

14/02 2018

v2.4.x-dev

2.4.9999999.9999999-dev https://nette.org

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

  • php >=5.6.0

 

The Development Requires

json validation core array password utility utf-8 string nette datetime images paginator unicode slugify

06/02 2018

v2.4.9

2.4.9.0 https://nette.org

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

  • php >=5.6.0

 

The Development Requires

json validation core array password utility utf-8 string nette datetime images paginator unicode slugify

20/08 2017

v2.4.8

2.4.8.0 https://nette.org

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

  • php >=5.6.0

 

The Development Requires

json validation core array password utility utf-8 string nette datetime images paginator unicode slugify

21/07 2017

v3.0.0-beta2

3.0.0.0-beta2 https://nette.org

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

  • php >=7.0

 

The Development Requires

json validation core array password utility utf-8 string nette datetime images paginator unicode slugify

11/07 2017

v2.4.7

2.4.7.0 https://nette.org

Nette Utility Classes

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

  • php >=5.6.0

 

The Development Requires

26/04 2017

v2.4.6

2.4.6.0 https://nette.org

Nette Utility Classes

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

  • php >=5.6.0

 

The Development Requires

29/03 2017

v2.4.5

2.4.5.0 https://nette.org

Nette Utility Classes

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

  • php >=5.6.0

 

The Development Requires

02/02 2017

dev-next

dev-next https://nette.org

Nette Utility Classes

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

  • php >=7.1

 

The Development Requires

02/02 2017

v3.0.0-beta1

3.0.0.0-beta1 https://nette.org

Nette Utility Classes

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

  • php >=7.0

 

The Development Requires

16/01 2017

v2.4.4

2.4.4.0 https://nette.org

Nette Utility Classes

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

  • php >=5.6.0

 

The Development Requires

09/01 2017

v2.4.3

2.4.3.0 https://nette.org

Nette Utility Classes

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

  • php >=5.6.0

 

The Development Requires

19/12 2016

v2.4.2

2.4.2.0 https://nette.org

Nette Utility Classes

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

  • php >=5.6.0

 

The Development Requires

12/12 2016

v2.3.x-dev

2.3.9999999.9999999-dev https://nette.org

Nette Utility Classes

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

  • php >=5.3.1

 

The Development Requires

12/12 2016

v2.3.11

2.3.11.0 https://nette.org

Nette Utility Classes

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

  • php >=5.3.1

 

The Development Requires

28/09 2016

v2.4.1

2.4.1.0 https://nette.org

Nette Utility Classes

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

  • php >=5.6.0

 

The Development Requires

17/06 2016

v2.3.10

2.3.10.0 https://nette.org

Nette Utility Classes

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

  • php >=5.3.1

 

The Development Requires

17/06 2016

v2.4.0

2.4.0.0 https://nette.org

Nette Utility Classes

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

  • php >=5.6.0

 

The Development Requires

21/04 2016

v2.3.9

2.3.9.0 https://nette.org

Nette Utility Classes

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

  • php >=5.3.1

 

The Development Requires

17/04 2016

v2.2.x-dev

2.2.9999999.9999999-dev https://nette.org

Nette Utility Classes

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

  • php >=5.3.1

 

The Development Requires

18/03 2016

v2.3.8

2.3.8.0 https://nette.org

Nette Utility Classes

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

  • php >=5.3.1

 

The Development Requires

03/12 2015

v2.2.8

2.2.8.0 https://nette.org

Nette Utility Classes

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

  • php >=5.3.1

 

The Development Requires

30/11 2015

v2.3.7

2.3.7.0 https://nette.org

Nette Utility Classes

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

  • php >=5.3.1

 

The Development Requires

05/10 2015

v2.3.6

2.3.6.0 https://nette.org

Nette Utility Classes

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

  • php >=5.3.1

 

The Development Requires

09/09 2015

v2.3.5

2.3.5.0 http://nette.org

Nette Utility Classes

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

  • php >=5.3.1

 

The Development Requires

23/08 2015

v2.3.4

2.3.4.0 http://nette.org

Nette Utility Classes

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

  • php >=5.3.1

 

The Development Requires

05/08 2015

v2.2.7

2.2.7.0 http://nette.org

Nette Utility Classes

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

  • php >=5.3.1

 

The Development Requires

14/07 2015

v2.3.3

2.3.3.0 http://nette.org

Nette Utility Classes

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

  • php >=5.3.1

 

The Development Requires

17/06 2015

v2.3.2

2.3.2.0 http://nette.org

Nette Utility Classes

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

  • php >=5.3.1

 

The Development Requires

26/03 2015

v2.2.6

2.2.6.0 http://nette.org

Nette Utility Classes

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

  • php >=5.3.1

 

The Development Requires

17/03 2015

v2.3.1

2.3.1.0 http://nette.org

Nette Utility Classes

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

  • php >=5.3.1

 

The Development Requires

10/03 2015

v2.2.5

2.2.5.0 http://nette.org

Nette Utility Classes

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

  • php >=5.3.1

 

The Development Requires

24/02 2015

v2.3.0

2.3.0.0 http://nette.org

Nette Utility Classes

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

  • php >=5.3.1

 

The Development Requires

30/12 2014

v2.2.4

2.2.4.0 http://nette.org

Nette Utility Classes

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

  • php >=5.3.1

 

The Development Requires

27/10 2014

v2.2.3

2.2.3.0 http://nette.org

Nette Utility Classes

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

  • php >=5.3.1

 

The Development Requires

25/08 2014

v2.2.2

2.2.2.0 http://nette.org

Nette Utility Classes

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

  • php >=5.3.1

 

The Development Requires

25/05 2014

v2.2.1

2.2.1.0 http://nette.org

Nette Utility Classes

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

  • php >=5.3.1

 

The Development Requires

25/05 2014

v2.2.0

2.2.0.0 http://nette.org

Nette Utility Classes

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

  • php >=5.3.1

 

The Development Requires